levenary

> Given a string, A and an array of strings XS, return the string X from XS whose Levenshtein distance from A is minimal.

# Install

$ npm install levenary

# Usage

import levenary from 'levenary';
levenary('cat', ['cow', 'dog', 'pig']);
//=> 'cow'

# Why <tt>levenary</tt>?

1. Based on leven, the fastest JS implementation of the Levenshtein distance algorithm

1. Only 1 API. Simple and clean. If you want more, please use didyoumean2.

1. Flow and TypeScript support.

# Benchmark

$ npm run bench
311,915 op/s » levenary
74,030 op/s » didyoumean
141,423 op/s » didyoumean2